Skip to main content

Get The Historical Funding Rates

Description​

Retrieve the previous funding rates of a contract.

HTTP Request​

GET /v3/market/fundingRate/history

Request Parameters​

ParameterRequiredTypeDescription
symbolNoStringA trading pair, consisting of two currencies: base currency and quote currency
sTNoStringStarting time of the history, Unix timestamp format in seconds.
eTNoStringEnding time of the history, Unix timestamp format in seconds.
limitNoIntegerDefault value is set to 100, with a maximum limit of 1000.

Response Parameters​

ParameterTypeDescription
sStringA trading pair, consisting of two currencies: base currency and quote currency
fRStringCurrent funding rate. When positive, longs pay shorts; when negative, shorts pay longs.
fTLongThe current funding rate is settled in UTC time

Request Example​

{
"symbol": "BTC_USDT_PERP"
}

Response Example​

{
"code": 200,
"data": [
{
"fR": "0.000004",
"fT": "1719964800000",
"s": "BTC_USDT_PERP"
},
{
"fR": "0.000004",
"fT": "1719966000000",
"s": "BTC_USDT_PERP"
},
{
"fR": "0.000004",
"fT": "1719967200000",
"s": "BTC_USDT_PERP"
},
{
"fR": "0.000004",
"fT": "1719968400000",
"s": "BTC_USDT_PERP"
},
{
"fR": "0.000004",
"fT": "1719969600000",
"s": "BTC_USDT_PERP"
},
{
"fR": "0.000004",
"fT": "1719970800000",
"s": "BTC_USDT_PERP"
},
{
"fR": "0.000004",
"fT": "1719972000000",
"s": "BTC_USDT_PERP"
},
{
"fR": "0.000004",
"fT": "1719973200000",
"s": "BTC_USDT_PERP"
},
{
"fR": "0.000004",
"fT": "1719974400000",
"s": "BTC_USDT_PERP"
},
{
"fR": "0.000004",
"fT": "1719975600000",
"s": "BTC_USDT_PERP"
}
],
"msg": "Success"
}